Status: 2.5 YoE, BS CS UC Davis Currently SDE II at ATT

I was asked this exact question:

Status: 2.5 YoE, BS CS UC Davis Currently SDE II at ATT

I was asked this exact question:

补充一个面经：

I got the following problem in a phone interview: https://leetcode.com/problems/bus-routes/

I proposed creating a graph of connected stops then using BFS to find the shortest path and then counting the number of busses that would require. However, the interviewer kept interrupting me and saying that my approach is trying to find all paths (even though doing BFS should produce shortest path). And then he kept saying if I used the bus routes somehow instead of the stops I wouldn’t have to do BFS. I proposed using a combination of union and intersection, however finding the right set of routes to produce this result is less efficient than BFS. Is he wrong? The solution tab in the problem is the same approach I came up with.

Anyway, I ran out of time because of the back and forth dialogue and didn’t have time to finish the implementation. I feel like the interviewer sabotaged my interview with the interruptions and I’m going to get rejected even though I would have come up with a working solution if he just stopped talking and let me code. Any advice what to do in this scenario?